### Struct

# Gtk Requisition

#### Description [src]

    struct GtkRequisition {
      int width;
      int height;
    }

Represents the desired size of a widget.

See GtkWidget’s geometry management section for more information.

###### Structure members

`width:` `int`

  The widget’s desired width.

`height:` `int`

  The widget’s desired height.

#### Constructors

###### gtk_requisition_new

Allocates a new `GtkRequisition`.

#### Instance methods

###### gtk_requisition_copy

Copies a `GtkRequisition`.

###### gtk_requisition_free

Frees a `GtkRequisition`.